3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php class Products{ protected $_title; protected $_category; protected $_price; public function __construct($title, $category, $price){ if($price < 0){ throw new Exception('Price must be a positive number'); } $this->_title = $title; $this->_category = $category; $this->_price = $price; } public function getPrice(){ return $this->_price; } } try{ $product = new Products('Title', 'Category', -45); echo $product->getPrice(); } catch(Exception $e){ echo 'Caught exception: ', $e->getMessage(), "\n"; echo 'Caught exception: ', $e->getCode(), "\n"; echo 'Caught exception: ', $e->getFile(), "\n"; echo 'Caught exception: ', $e->getLine(), "\n"; echo 'Caught exception: ', $e->getTrace(), "\n"; echo 'Caught exception: ', $e->getTraceAsString(), "\n"; echo 'Caught exception: ', $e, "\n"; }
Output for 7.0.0 - 7.1.0
Caught exception: Price must be a positive number Caught exception: 0 Caught exception: /in/uJ6Xn Caught exception: 11 Caught exception: Notice: Array to string conversion in /in/uJ6Xn on line 34 Array Caught exception: #0 /in/uJ6Xn(26): Products->__construct('Title', 'Category', -45) #1 {main} Caught exception: Exception: Price must be a positive number in /in/uJ6Xn:11 Stack trace: #0 /in/uJ6Xn(26): Products->__construct('Title', 'Category', -45) #1 {main}
Output for hhvm-3.12.0
Caught exception: Price must be a positive number Caught exception: 0 Caught exception: /in/uJ6Xn Caught exception: 11 Caught exception: Notice: Array to string conversion in /in/uJ6Xn on line 34 Array Caught exception: #0 /in/uJ6Xn(26): Products->__construct() #1 {main} Caught exception: exception 'Exception' with message 'Price must be a positive number' in /in/uJ6Xn:11 Stack trace: #0 /in/uJ6Xn(26): Products->__construct() #1 {main}
Output for hhvm-3.10.0

Process exited with code 153.
Output for 5.4.0 - 5.6.28
Caught exception: Price must be a positive number Caught exception: 0 Caught exception: /in/uJ6Xn Caught exception: 11 Caught exception: Notice: Array to string conversion in /in/uJ6Xn on line 34 Array Caught exception: #0 /in/uJ6Xn(26): Products->__construct('Title', 'Category', -45) #1 {main} Caught exception: exception 'Exception' with message 'Price must be a positive number' in /in/uJ6Xn:11 Stack trace: #0 /in/uJ6Xn(26): Products->__construct('Title', 'Category', -45) #1 {main}
Output for 5.0.0 - 5.0.2, 5.0.5 - 5.3.29
Caught exception: Price must be a positive number Caught exception: 0 Caught exception: /in/uJ6Xn Caught exception: 11 Caught exception: Array Caught exception: #0 /in/uJ6Xn(26): Products->__construct('Title', 'Category', -45) #1 {main} Caught exception: exception 'Exception' with message 'Price must be a positive number' in /in/uJ6Xn:11 Stack trace: #0 /in/uJ6Xn(26): Products->__construct('Title', 'Category', -45) #1 {main}
Output for 5.0.3 - 5.0.4
Caught exception: Price must be a positive number Caught exception: 0 Caught exception: /in/uJ6Xn Caught exception: 11 Caught exception: Array Caught exception: #0 /in/uJ6Xn(11): Products::__construct() #1 /in/uJ6Xn(26): Products->__construct('Title', 'Category', -45) #2 {main} Caught exception: exception 'Exception' with message 'Price must be a positive number' in /in/uJ6Xn:11 Stack trace: #0 /in/uJ6Xn(11): Products::__construct() #1 /in/uJ6Xn(26): Products->__construct('Title', 'Category', -45) #2 {main}
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /in/uJ6Xn on line 4
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /in/uJ6Xn on line 4
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error, expecting `T_OLD_FUNCTION' or `T_FUNCTION' or `T_VAR' or `'}'' in /in/uJ6Xn on line 4
Process exited with code 255.